OGRE-Next: Ogre::ScriptLoader Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ScriptLoader Class Referenceabstract
Core » General

Abstract class defining the interface used by classes which wish to perform script loading to define instances of whatever they manage. More...

`#include <OgreScriptLoader.h>`

Inheritance diagram for Ogre::ScriptLoader:
[legend]

## Public Member Functions
virtual | ~ScriptLoader ()
virtual Real | getLoadingOrder () const =0
| Gets the relative loading order of scripts of this type.
virtual const StringVector & | getScriptPatterns () const =0
| Gets the file patterns which should be used to find scripts for this class.
virtual void | parseScript (DataStreamPtr &stream, const String &groupName)=0
| Parse a script file.

## Detailed Description

Abstract class defining the interface used by classes which wish to perform script loading to define instances of whatever they manage.

Remarks
  Typically classes of this type wish to either parse individual script files on demand, or be called with a group of files matching a certain pattern at the appropriate time. Normally this will coincide with resource loading, although the script use does not necessarily have to be a ResourceManager (which subclasses from this class), it may be simply a script loader which manages non-resources but needs to be synchronised at the same loading points.

  Subclasses should add themselves to the ResourceGroupManager as a script loader if they wish to be called at the point a resource group is loaded, at which point the parseScript method will be called with each file which matches a the pattern returned from getScriptPatterns.

## Constructor & Destructor Documentation

## ◆ ~ScriptLoader()

virtual Ogre::ScriptLoader::~ScriptLoader | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getLoadingOrder()

virtual Real Ogre::ScriptLoader::getLoadingOrder | ( |  | ) | const
| pure virtual

Gets the relative loading order of scripts of this type.

Remarks
  There are dependencies between some kinds of scripts, and to enforce this all implementors of this interface must define a loading order.

Returns
  A value representing the relative loading order of these scripts compared to other script users, where higher values load later.

Implemented in Ogre::HlmsManager, Ogre::ParticleSystemManager, Ogre::ResourceManager, Ogre::ScriptCompilerManager, and Ogre::v1::OverlayManager.

## ◆ getScriptPatterns()

virtual const StringVector & Ogre::ScriptLoader::getScriptPatterns | ( |  | ) | const
| pure virtual

Gets the file patterns which should be used to find scripts for this class.

Remarks
  This method is called when a resource group is loaded if you use ResourceGroupManager::_registerScriptLoader.

Returns
  A list of file patterns, in the order they should be searched in.

Implemented in Ogre::HlmsManager, Ogre::ParticleSystemManager, Ogre::ResourceManager, Ogre::ScriptCompilerManager, and Ogre::v1::OverlayManager.

## ◆ parseScript()

virtual void Ogre::ScriptLoader::parseScript | ( | DataStreamPtr & | stream,
|  | const String & | groupName )
| pure virtual

Parse a script file.

Parameters

  stream | Weak reference to a data stream which is the source of the script
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.

Implemented in Ogre::FontManager, Ogre::HlmsManager, Ogre::MaterialManager, Ogre::ParticleSystemManager, Ogre::ResourceManager, Ogre::ScriptCompilerManager, and Ogre::v1::OverlayManager.

The documentation for this class was generated from the following file:

- OgreScriptLoader.h